#
# spec file for package rubygem-yast-rake
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-yast-rake
Version:        0.2.11
Release:        2.3
%define mod_name yast-rake
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://github.org/openSUSE/yast-rake
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Rake tasks providing basic work-flow for Yast development
License:        LGPL-2.1
Group:          Development/Languages/Ruby

%description
Rake tasks that support work-flow of Yast developer. It allows packaging repo,
send it to build service, create submit request to target repo or run client
from git repo.

%prep

%build

%install
%gem_install \
  --doc-files="COPYING" \
  -f

%gem_packages

%changelog
* Tue Sep 13 2016 jreidinger@suse.com
- add target also for leap42.2 (bnc#996865)
- 0.2.11
* Thu Sep  1 2016 jreidinger@suse.com
- prepare for branching for sle12sp3 (bnc#996865)
- add to known words "vc" as part of osc vc command in
  CONTRIBUTING.md
- 0.2.10
* Wed Mar  9 2016 schubi@suse.de
- Requiring packaging_rake_tasks ~> 1.1.4 in order to check
  for bugzilla,fate entries in the changes file.
  (bnc#0)
- 0.2.9
* Thu Mar  3 2016 lslezak@suse.cz
- added "sle12sp1_public" build target to build against SLE12-SP1
  in public OBS (bnc#969358)
- 0.2.8
* Wed Jan 13 2016 igonzalezsosa@suse.com
- update build target for sles12sp1 (bnc#0)
- 0.2.7
* Mon Nov 23 2015 jreidinger@suse.com
- fix build target for sle12sp2 (bnc#0)
- 0.2.6
* Wed Oct 28 2015 ancor@suse.com
- added target sle12sp2 ( needed for SP1 maintenance bnc#1)
- 0.2.5
* Fri Oct 16 2015 igonzalezsosa@suse.com
- add a submit_to method to simplify OBS configuration
* Tue Apr 28 2015 lslezak@suse.cz
- use rubocop for checking the code style
* Tue Apr 28 2015 lslezak@suse.cz
- optionally load the tasks from yast-rake-ci if it is installed
- 0.2.3
* Thu Apr 23 2015 lslezak@suse.cz
- allow to run the "check:spelling" task outside a Git checkout
  (to use it in the Jenkins jobs during package build)
- colorize the misspelled words in the output (if the "rainbow"
  gem is installed)
- use YAML config files
- 0.2.2
* Wed Apr  1 2015 jreidinger@suse.com
- regenerate spec file to fix build for ruby2.2 in OBS
* Thu Mar 26 2015 lslezak@suse.cz
- fixed gem packaging (missing "lib/tasks/spell.dict" file)
- 0.2.1
* Wed Mar 11 2015 lslezak@suse.cz
- added "check:spelling" task - spell check files (by default
  * .md and *.html files), needs "raspell" gem (no explicit
  dependency)
- do not crash when there is no "package/*.spec" file (e.g.
  in yast.github.io repository)
- 0.2.0
* Thu Nov 13 2014 lslezak@suse.cz
- new tasks:
  - "pot" - collect translatable strings and create *.pot files
  - "check:pot" - check for common mistakes in translations
- 0.1.10
* Wed Oct 29 2014 jreidinger@suse.com
- test:unit: run all tests in single run (gh#yast/yast-rake#11)
- 0.1.9
* Mon Jun  9 2014 jreidinger@suse.com
- install: Fix matching for autoyast-rnc directory
- 0.1.8
* Fri Jun  6 2014 locilka@suse.com
- Added support for Yast "data" directory
- 0.1.7
* Wed Jan 15 2014 jreidinger@suse.com
- Add "install" task for installation to proper location
- 0.1.6
* Mon Dec  9 2013 lslezak@suse.cz
- read the version number directly from *.spec file (ignore VERSION
  files), adapted "version:bump" task, removed
  "version:update_spec" task (not needed anymore)
- 0.1.5
* Thu Nov  7 2013 mvidner@suse.com
- Fixed `rake run` to work and `rake run[foo]` to really use
  the local files.
- 0.1.4
* Fri Oct 25 2013 jreidinger@suse.com
- Run test:unit even for nested test directories
  (gh#yast/yast-rake#2)
- 0.1.3
* Mon Oct 14 2013 jreidinger@suse.com
- do not run test before packaging as it is runned in osc:build
  during rpm build
- 0.1.2
* Thu Sep 19 2013 jreidinger@suse.com
- initial version
